ros-jazzy-rosbag2-py (0.26.7-1noble) noble; urgency=high

  * Add bindings to close method in PyReader and PyCompressionReader (#1935 <https://github.com/ros2/rosbag2/issues/1935>) (#1937 <https://github.com/ros2/rosbag2/issues/1937>)
  * Remove SHARED from pybind11_add_module (#1929 <https://github.com/ros2/rosbag2/issues/1929>) (#1931 <https://github.com/ros2/rosbag2/issues/1931>)
  * [jazzy] Upstream quality changes from Apex.AI part 1 (backport #1903 <https://github.com/ros2/rosbag2/issues/1903>) (#1909 <https://github.com/ros2/rosbag2/issues/1909>)
  * Contributors: mergify[bot], Øystein Sture, Silvio Traversaro, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 22 Apr 2025 00:00:00 -0000

ros-jazzy-rosbag2-py (0.26.6-1noble) noble; urgency=high

  * [jazzy] Add support for replaying multiple bags (backport #1848 <https://github.com/ros2/rosbag2/issues/1848>) (#1873 <https://github.com/ros2/rosbag2/issues/1873>)
    Co-authored-by: Christophe Bedard <mailto:christophe.bedard@apex.ai>
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * [jazzy] Add "--sort" CLI option to the "ros2 bag info" command (backport #1804 <https://github.com/ros2/rosbag2/issues/1804>) (#1838 <https://github.com/ros2/rosbag2/issues/1838>)
    Co-authored-by: Soenke Prophet <mailto:soenke.prophet@gmail.com>
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    Co-authored-by: Sanoronas <mailto:soenke.prophet@gmail.com>
  * Add in python3-dev build dependency. (#1863 <https://github.com/ros2/rosbag2/issues/1863>) (#1864 <https://github.com/ros2/rosbag2/issues/1864>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * [jazzy] Add computation of size contribution to info verb (backport #1726 <https://github.com/ros2/rosbag2/issues/1726>) (#1872 <https://github.com/ros2/rosbag2/issues/1872>)
    Co-authored-by: Nicola Loi <mailto:nicolaloi@outlook.com>
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Contributors: Marco A. Gutierrez, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 18 Dec 2024 00:00:00 -0000

ros-jazzy-rosbag2-py (0.26.5-1noble) noble; urgency=high

  * Added method to introspect QoS in Python (#1648 <https://github.com/ros2/rosbag2/issues/1648>) (#1790 <https://github.com/ros2/rosbag2/issues/1790>)
    (cherry picked from commit f0f3cc5f57ba9142b763247a68acc571d2500bb5)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Add cli option compression-threads-priority (#1768 <https://github.com/ros2/rosbag2/issues/1768>) (#1778 <https://github.com/ros2/rosbag2/issues/1778>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    (cherry picked from commit 25c3e1c2effdaea3b880c39ff7580b2f38a44b1c)
    Co-authored-by: Roman <mailto:rsokolkov@gmail.com>
  * [jazzy] Update CI scripts to use Ubuntu Noble distros and bump action scripts to latest versions (backport #1709 <https://github.com/ros2/rosbag2/issues/1709>) (#1779 <https://github.com/ros2/rosbag2/issues/1779>)
    Co-authored-by: Roman <mailto:rsokolkov@gmail.com>
    (cherry picked from commit 27a6b600c2a813ec1f2154145fe77392c88b314b)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Bugfix for wrong timestamps in ros2 bag info (#1745 <https://github.com/ros2/rosbag2/issues/1745>) (#1752 <https://github.com/ros2/rosbag2/issues/1752>)
    (cherry picked from commit da28c9da82824b8ce5f6fc18935d1a954e52b636)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 06 Sep 2024 00:00:00 -0000

ros-jazzy-rosbag2-py (0.26.4-1noble) noble; urgency=high

  * Add bindings for LocalMessageDefinitionSource (#1697 <https://github.com/ros2/rosbag2/issues/1697>) (#1701 <https://github.com/ros2/rosbag2/issues/1701>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    Co-authored-by: methylDragon <mailto:methylDragon@gmail.com>
  * Add --log-level to ros2 bag play and record (#1625 <https://github.com/ros2/rosbag2/issues/1625>) (#1674 <https://github.com/ros2/rosbag2/issues/1674>)
    Co-authored-by: Roman Sokolkov <mailto:rsokolkov@gmail.com>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 27 Jun 2024 00:00:00 -0000

ros-jazzy-rosbag2-py (0.26.3-1noble) noble; urgency=high

  * Included to_rclcpp_qos_vector to Python wrappers (#1642 <https://github.com/ros2/rosbag2/issues/1642>) (#1650 <https://github.com/ros2/rosbag2/issues/1650>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 15 May 2024 00:00:00 -0000

ros-jazzy-rosbag2-py (0.26.2-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 24 Apr 2024 00:00:00 -0000

ros-jazzy-rosbag2-py (0.26.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 17 Apr 2024 00:00:00 -0000

ros-jazzy-rosbag2-py (0.26.0-1noble) noble; urgency=high

  * Add option to disable recorder keyboard controls (#1607 <https://github.com/ros2/rosbag2/issues/1607>)
  * Support service 2/2 --- rosbag2 service play (#1481 <https://github.com/ros2/rosbag2/issues/1481>)
  * Use middleware send and receive timestamps from message_info during recording (#1531 <https://github.com/ros2/rosbag2/issues/1531>)
  * Switch rclpy to be an exec_depend here. (#1606 <https://github.com/ros2/rosbag2/issues/1606>)
  * Gracefully handle SIGINT and SIGTERM signals for play and burst CLI (#1557 <https://github.com/ros2/rosbag2/issues/1557>)
  * Added exclude-topic-types to record (#1582 <https://github.com/ros2/rosbag2/issues/1582>)
  * Contributors: Alejandro Hernández Cordero, Barry Xu, Bernd Pfrommer, Chris Lalancette, Michael Orlov, jmachowinski

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 16 Apr 2024 00:00:00 -0000

ros-jazzy-rosbag2-py (0.25.0-1noble) noble; urgency=high

  * Fix for false negative tests in rosbag2_py (#1592 <https://github.com/ros2/rosbag2/issues/1592>)
  * Update rosbag2_py stubs (#1593 <https://github.com/ros2/rosbag2/issues/1593>)
  * Add Python stubs for rosbag2_py (#1459 <https://github.com/ros2/rosbag2/issues/1459>) (#1569 <https://github.com/ros2/rosbag2/issues/1569>)
  * Filter topic by type  (#1577 <https://github.com/ros2/rosbag2/issues/1577>)
  * Add topic_id returned by storage to the TopicMetadata (#1538 <https://github.com/ros2/rosbag2/issues/1538>)
  * Install signal handlers in recorder only inside record method (#1464 <https://github.com/ros2/rosbag2/issues/1464>)
  * add missing import otherwise it doesnt compile (#1524 <https://github.com/ros2/rosbag2/issues/1524>)
  * Implement service recording and display info about recorded services (#1480 <https://github.com/ros2/rosbag2/issues/1480>)
  * Make rosbag2_transport::Player::play() run in a separate thread (#1503 <https://github.com/ros2/rosbag2/issues/1503>)
  * Switch to target_link_libraries everywhere. (#1504 <https://github.com/ros2/rosbag2/issues/1504>)
  * Use enum values for offered_qos_profiles in code and string names in serialized metadata (#1476 <https://github.com/ros2/rosbag2/issues/1476>)
  * ros2 bag convert now excludes messages not in [start_time;end_time] (#1455 <https://github.com/ros2/rosbag2/issues/1455>)
  * Add support for compression to python API (#1425 <https://github.com/ros2/rosbag2/issues/1425>)
  * Contributors: Alejandro Hernández Cordero, Andrew Symington, Barry Xu, Chris Lalancette, Michael Orlov, Mikael Arguedas, Patrick Roncagliolo, Peter Favrholdt, Roman Sokolkov

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 27 Mar 2024 00:00:00 -0000

ros-jazzy-rosbag2-py (0.24.0-1noble) noble; urgency=high

  * Gracefully handle SIGINT and SIGTERM in rosbag2 recorder (#1301 <https://github.com/ros2/rosbag2/issues/1301>)
  * Implement storing and loading ROS_DISTRO from metadata.yaml and mcap files (#1241 <https://github.com/ros2/rosbag2/issues/1241>)
  * Add binding to close the writer (#1339 <https://github.com/ros2/rosbag2/issues/1339>)
  * Contributors: Emerson Knapp, Michael Orlov, Yadu

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Jul 2023 00:00:00 -0000

ros-jazzy-rosbag2-py (0.23.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 28 Apr 2023 00:00:00 -0000

ros-jazzy-rosbag2-py (0.22.0-1noble) noble; urgency=high

  * Add type_hash in MessageDefinition struct (#1296 <https://github.com/ros2/rosbag2/issues/1296>)
  * Store message definitions in SQLite3 storage plugin (#1293 <https://github.com/ros2/rosbag2/issues/1293>)
  * Add message definition read API (#1292 <https://github.com/ros2/rosbag2/issues/1292>)
  * rosbag2_storage: add type description hash to topic metadata (#1272 <https://github.com/ros2/rosbag2/issues/1272>)
  * Contributors: Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Apr 2023 00:00:00 -0000

ros-jazzy-rosbag2-py (0.21.0-1noble) noble; urgency=high

  * rosbag2_cpp: move local message definition source out of MCAP plugin (#1265 <https://github.com/ros2/rosbag2/issues/1265>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Apr 2023 00:00:00 -0000

ros-jazzy-rosbag2-py (0.20.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 Feb 2023 00:00:00 -0000

ros-jazzy-rosbag2-py (0.19.0-1noble) noble; urgency=high

  * Expose more Writer methods in python interface (#1220 <https://github.com/ros2/rosbag2/issues/1220>)
  * rosbag2_storage: set MCAP as default plugin (#1160 <https://github.com/ros2/rosbag2/issues/1160>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * rosbag2_py: parametrize tests across storage plugins (#1203 <https://github.com/ros2/rosbag2/issues/1203>)
  * Added option to change node name for the recorder from the Python API (#1180 <https://github.com/ros2/rosbag2/issues/1180>)
  * Replace language for "db3"/"db"/"database" (#1194 <https://github.com/ros2/rosbag2/issues/1194>)
  * Remove explicit sqlite3 from code (#1166 <https://github.com/ros2/rosbag2/issues/1166>)
  * Move python get_default_storage_id to storage module instead of writer (#1165 <https://github.com/ros2/rosbag2/issues/1165>)
  * Contributors: Emerson Knapp, Michael Orlov, james-rms, ricardo-manriquez

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 13 Jan 2023 00:00:00 -0000

ros-jazzy-rosbag2-py (0.18.0-1noble) noble; urgency=high

  * rosbag2_storage: expose default storage ID as method (#1146 <https://github.com/ros2/rosbag2/issues/1146>)
  * rosbag2_py: set defaults for config when bag rewriting (#1121 <https://github.com/ros2/rosbag2/issues/1121>)
  * Reverse read order API and sqlite storage implementation (#1083 <https://github.com/ros2/rosbag2/issues/1083>)
  * expose py Reader metadata, improve rosbag2_py.BagMetadata usability (#1082 <https://github.com/ros2/rosbag2/issues/1082>)
  * Added support for excluding topics via regular expressions (#1046 <https://github.com/ros2/rosbag2/issues/1046>)
  * Contributors: Emerson Knapp, Esteve Fernandez, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 15 Nov 2022 00:00:00 -0000

ros-jazzy-rosbag2-py (0.17.0-1noble) noble; urgency=high

  * Use a single variable for evaluating the filter regex (#1053 <https://github.com/ros2/rosbag2/issues/1053>)
  * Add additional mode of publishing sim time updates triggered by replayed messages (#1050 <https://github.com/ros2/rosbag2/issues/1050>)
  * Renamed --topics-regex to --regex and -e in Player class to be consistent with Recorder (#1045 <https://github.com/ros2/rosbag2/issues/1045>)
  * Add the ability to record any key/value pair in 'custom' field in metadata.yaml (#1038 <https://github.com/ros2/rosbag2/issues/1038>)
  * Added support for filtering topics via regular expressions on Playback (#1034 <https://github.com/ros2/rosbag2/issues/1034>)
  * Adds play until timestamp functionality (#1005 <https://github.com/ros2/rosbag2/issues/1005>)
  * Add CLI verb for burst mode of playback (#980 <https://github.com/ros2/rosbag2/issues/980>)
  * Add play-for specified number of seconds functionality (#960 <https://github.com/ros2/rosbag2/issues/960>)
  * Contributors: Agustin Alba Chicar, Esteve Fernandez, Geoffrey Biggs, Hunter L. Allen, kylemarcey, Michael Orlov, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 30 Jul 2022 00:00:00 -0000

ros-jazzy-rosbag2-py (0.16.0-1noble) noble; urgency=high

  * Make unpublished topics unrecorded by default (#968 <https://github.com/ros2/rosbag2/issues/968>)
  * Fix test rosbag2_py test compatibility with Python < 3.8 (#987 <https://github.com/ros2/rosbag2/issues/987>)
  * Contributors: Michael Orlov, Scott K Logan, Sean Kelly

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 11 May 2022 00:00:00 -0000

ros-jazzy-rosbag2-py (0.15.1-1noble) noble; urgency=high

  * support to publish as loaned message (#981 <https://github.com/ros2/rosbag2/issues/981>)
  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Audrow Nash, Barry Xu, Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 06 Apr 2022 00:00:00 -0000

ros-jazzy-rosbag2-py (0.15.0-1noble) noble; urgency=high

  * support to publish as loaned message (#981 <https://github.com/ros2/rosbag2/issues/981>)
  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Barry Xu, Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 00:00:00 -0000

ros-jazzy-rosbag2-py (0.14.1-1noble) noble; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-jazzy-rosbag2-py (0.14.0-1noble) noble; urgency=high

  * Make sure published messages are acknowledged for play mode (#951 <https://github.com/ros2/rosbag2/issues/951>)
  * Contributors: Barry Xu

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-jazzy-rosbag2-py (0.13.0-1noble) noble; urgency=high

  * Fix relative path syntax for cpplint (#947 <https://github.com/ros2/rosbag2/issues/947>)
  * Update to pybind11 2.7.1 (#945 <https://github.com/ros2/rosbag2/issues/945>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 13 Jan 2022 00:00:00 -0000

ros-jazzy-rosbag2-py (0.12.0-1noble) noble; urgency=high

  * Add start-offset play option (#931 <https://github.com/ros2/rosbag2/issues/931>)
  * Expose bag_rewrite as ros2 bag convert (#921 <https://github.com/ros2/rosbag2/issues/921>)
  * Add "ignore leaf topics" option to recorder (#925 <https://github.com/ros2/rosbag2/issues/925>)
  * Add a ReaderWriterFactory utility to share logic for reuse (#923 <https://github.com/ros2/rosbag2/issues/923>)
  * Add pause/resume options to the bag recorder (#905 <https://github.com/ros2/rosbag2/issues/905>)
  * Contributors: Abrar Rahman Protyasha, Emerson Knapp, Ivan Santiago Paunovic

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 17 Dec 2021 00:00:00 -0000

ros-jazzy-rosbag2-py (0.11.0-1noble) noble; urgency=high

  * Add --start-paused option to ros2 bag play (#904 <https://github.com/ros2/rosbag2/issues/904>)
  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Fix converter plugin choices for record (#897 <https://github.com/ros2/rosbag2/issues/897>)
  * Contributors: Emerson Knapp, Ivan Santiago Paunovic, Michel Hidalgo

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 08 Nov 2021 00:00:00 -0000

ros-jazzy-rosbag2-py (0.10.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 22 Oct 2021 00:00:00 -0000

ros-jazzy-rosbag2-py (0.10.0-1noble) noble; urgency=high

  * Metadata per file info (#870 <https://github.com/ros2/rosbag2/issues/870>)
  * keyboard controls for pause/resume toggle and play-next: (#847 <https://github.com/ros2/rosbag2/issues/847>)
  * Add --snapshot-mode argument to the "record" verb (#851 <https://github.com/ros2/rosbag2/issues/851>)
  * Add stopRecording into rosbag2_py (#854 <https://github.com/ros2/rosbag2/issues/854>)
  * added seek interface (#836 <https://github.com/ros2/rosbag2/issues/836>)
  * Refactor plugin query mechanism and standardize trait management (#833 <https://github.com/ros2/rosbag2/issues/833>)
  * Update PlayOptions::delay to rclcpp::Duration to get nanosecond resolution (#843 <https://github.com/ros2/rosbag2/issues/843>)
  * Load compression and serialization choices via plugin query (#827 <https://github.com/ros2/rosbag2/issues/827>)
  * Add delay option (#789 <https://github.com/ros2/rosbag2/issues/789>)
  * Handle SIGTERM gracefully in recording (#792 <https://github.com/ros2/rosbag2/issues/792>)
  * Contributors: Afonso da Fonseca Braga, Cameron Miller, Emerson Knapp, Kosuke Takeuchi, Wojciech Jaworski, sonia

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 19 Oct 2021 00:00:00 -0000

ros-jazzy-rosbag2-py (0.9.0-1noble) noble; urgency=high

  * remove rosbag2_transport header (#742 <https://github.com/ros2/rosbag2/issues/742>)
  * Include utility to quiet cpplint. (#744 <https://github.com/ros2/rosbag2/issues/744>)
  * player owns the reader (#725 <https://github.com/ros2/rosbag2/issues/725>)
  * Contributors: Chris Lalancette, Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 May 2021 00:00:00 -0000

ros-jazzy-rosbag2-py (0.8.0-1noble) noble; urgency=high

  * Remove -Werror from builds, enable it in Action CI (#722 <https://github.com/ros2/rosbag2/issues/722>)
  * Split Rosbag2Transport into Player and Recorder classes - first pass to enable further progress (#721 <https://github.com/ros2/rosbag2/issues/721>)
  * /clock publisher in Player (#695 <https://github.com/ros2/rosbag2/issues/695>)
  * Introducing Reindexer CLI (#699 <https://github.com/ros2/rosbag2/issues/699>)
  * Fix rosbag2_py transport test for py capsule (#707 <https://github.com/ros2/rosbag2/issues/707>)
  * rosbag2_py pybind wrapper for "record" - remove rosbag2_transport_py (#702 <https://github.com/ros2/rosbag2/issues/702>)
  * Add rosbag2_py::Player::play to replace rosbag2_transport_python version (#693 <https://github.com/ros2/rosbag2/issues/693>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Contributors: Emerson Knapp, jhdcs

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 19 Apr 2021 00:00:00 -0000

ros-jazzy-rosbag2-py (0.7.0-1noble) noble; urgency=high

  * RMW-implementation-searcher converter in rosbag2_cpp (#670 <https://github.com/ros2/rosbag2/issues/670>)
  * use rosbag2_py for ros2 bag info (#673 <https://github.com/ros2/rosbag2/issues/673>)
  * CLI query rosbag2_py for available storage implementations (#659 <https://github.com/ros2/rosbag2/issues/659>)
  * Contributors: Emerson Knapp, Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 18 Mar 2021 00:00:00 -0000

ros-jazzy-rosbag2-py (0.6.0-1noble) noble; urgency=high

  * Fix build issues when rosbag2_storage is binary installed (#585 <https://github.com/ros2/rosbag2/issues/585>)
  * Fix the tests on cyclonedds by translating qos duration values (#606 <https://github.com/ros2/rosbag2/issues/606>)
  * Contributors: Emerson Knapp, P. J. Reed

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 01 Feb 2021 00:00:00 -0000

ros-jazzy-rosbag2-py (0.5.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 02 Dec 2020 00:00:00 -0000

ros-jazzy-rosbag2-py (0.4.0-1noble) noble; urgency=high

  * add storage_config_uri (#493 <https://github.com/ros2/rosbag2/issues/493>)
  * Workaround pybind11 bug on Windows when CMAKE_BUILD_TYPE=RelWithDebInfo (#538 <https://github.com/ros2/rosbag2/issues/538>)
  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * Fix rosbag2_py on Windows debug and stop ignoring the package (#531 <https://github.com/ros2/rosbag2/issues/531>)
  * Fix rosbag2_py bug when using libc++ (#529 <https://github.com/ros2/rosbag2/issues/529>)
  * AMENT_IGNORE rosbag2_py for now (#509 <https://github.com/ros2/rosbag2/issues/509>)
  * rosbag2_py reader and writer (#308 <https://github.com/ros2/rosbag2/issues/308>)
  * Contributors: Ivan Santiago Paunovic, Karsten Knese, Mabel Zhang, Michael Jeronimo

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 19 Nov 2020 00:00:00 -0000

ros-jazzy-rosbag2-py (0.3.2-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 03 Jun 2020 00:00:00 -0000

ros-jazzy-rosbag2-py (0.3.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 01 Jun 2020 00:00:00 -0000

ros-jazzy-rosbag2-py (0.3.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 26 May 2020 00:00:00 -0000

ros-jazzy-rosbag2-py (0.2.8-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 May 2020 00:00:00 -0000

ros-jazzy-rosbag2-py (0.2.7-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 12 May 2020 00:00:00 -0000

ros-jazzy-rosbag2-py (0.2.6-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 07 May 2020 00:00:00 -0000

ros-jazzy-rosbag2-py (0.2.5-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 30 Apr 2020 00:00:00 -0000

ros-jazzy-rosbag2-py (0.2.4-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Nov 2019 17:51:00 -0000

ros-jazzy-rosbag2-py (0.2.3-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Nov 2019 13:55:00 -0000

ros-jazzy-rosbag2-py (0.2.2-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 13 Nov 2019 00:00:00 -0000

ros-jazzy-rosbag2-py (0.2.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 23 Oct 2019 00:00:00 -0000

ros-jazzy-rosbag2-py (0.2.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 26 Sep 2019 00:00:00 -0000

ros-jazzy-rosbag2-py (0.1.2-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 20 May 2019 00:00:00 -0000

ros-jazzy-rosbag2-py (0.1.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 09 May 2019 00:00:00 -0000

ros-jazzy-rosbag2-py (0.1.0-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 08 May 2019 00:00:00 -0000

ros-jazzy-rosbag2-py (0.0.5-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 27 Dec 2018 00:00:00 -0000

ros-jazzy-rosbag2-py (0.0.4-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 19 Dec 2018 00:00:00 -0000

ros-jazzy-rosbag2-py (0.0.3-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 14 Dec 2018 00:00:00 -0000

ros-jazzy-rosbag2-py (0.0.2-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Dec 2018 00:00:00 -0000

ros-jazzy-rosbag2-py (0.0.1-1noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Dec 2018 00:00:00 -0000


